<template>
  <v-app id="app">
    <router-view></router-view>
    <div>
      <!-- Render the documentation for MyButton -->
      <prop-doc :component="BidirectionalStepper"></prop-doc>
    </div>
  </v-app>
</template>

<script>
  import BidirectionalStepper from './bidirectional-stepper/BidirectionalStepper';

  export default {
    name: 'app',
    components: {
      BidirectionalStepper,
    },
    data() {
      return {
        BidirectionalStepper,
      };
    },
  };
</script>

<style>
  /**
   * Setup base application font-sizes here
   * Use percent (%) uom everywhere else
   */
  #app {
    font-family: Avenir, Helvetica, Arial, sans-serif;
    font-size: 7pt;
  }

  @media (min-width: 420px) {
    #app {
      font-size: 8pt;
    }
  }

  /* Vuetify 'sm' breakpoint */
  @media (min-width: 600px) {
    #app {
      font-size: 8pt;
    }
  }

  @media (min-width: 780px) {
    #app {
      font-size: 11pt;
    }
  }

  /* Vuetify 'md' breakpoint */
  @media (min-width: 960px) {
    #app {
      font-size: 12pt;
    }
  }

  /* Vuetify 'lg' breakpoint */
  @media (min-width: 1264px) {
    #app {
      font-size: 13pt;
    }
  }

  /* Vuetify 'xl' breakpoint */
  @media (min-width: 1905px) {
    #app {
      font-size: 14pt;
    }
  }
</style>
